# DAG configuration
name: sparrow_sirena_responses_dag
nickname: sparrow_sirena_responses
interval: '@daily'
owner: airflow
# migração para o MWAA
start_date: 2022-10-24
# start_date: 2021-02-01
catchup: true
retries: 2
retry_delay_minutes: 120
# Notify on Slack
failure_slack_notification: true

tags: ['sparrow', 'sirena']
# Sparrow configuration
pagination: false
ids: false
nps_ids: true
sparrow_endpoint: responses
date_param: true

# Snowflake DB configuration
db_name: RAW
db_schema: SURVEY_SPARROW
db_table: NPS_RESPONSES
